summaryrefslogtreecommitdiffstats
path: root/system/coolkey
diff options
context:
space:
mode:
author Andy Bailey <bailey@akamai.com>2010-05-13 01:00:43 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:43 +0200
commitc52ae73dea9c2717364e6847b5707c60e0cef7c3 (patch)
treefdb3e3d4cbf402cf85decb6da8b717a44559e7fb /system/coolkey
parentb072cc799b022c372b67b18c3890caa89e84342c (diff)
downloadslackbuilds-c52ae73dea9c2717364e6847b5707c60e0cef7c3.tar.gz
slackbuilds-c52ae73dea9c2717364e6847b5707c60e0cef7c3.tar.xz
system/coolkey: Added to 13.0 repository
Diffstat (limited to 'system/coolkey')
-rw-r--r--system/coolkey/README9
-rw-r--r--system/coolkey/coolkey.SlackBuild91
-rw-r--r--system/coolkey/coolkey.info10
-rw-r--r--system/coolkey/gcc-4.3.patch95
-rw-r--r--system/coolkey/slack-desc19
5 files changed, 224 insertions, 0 deletions
diff --git a/system/coolkey/README b/system/coolkey/README
new file mode 100644
index 0000000000..b496c9a85e
--- /dev/null
+++ b/system/coolkey/README
@@ -0,0 +1,9 @@
+coolkey is a pkcs#11 smartcard library that can be used with a US
+Government CAC (Common Access Card), in conjunction with pcsc-lite.
+It is most commonly used by pkcs#11 aware web browsers or email clients, to
+use a CAC's client certificate for authentication or signing.
+
+coolkey is commonly used with the DoD Configuration plugin for Firefox
+and Thunderbird, at https://addons.mozilla.org/en-US/thunderbird/addon/3182.
+
+This requires mozilla-nss and pcsc-lite (in that order).
diff --git a/system/coolkey/coolkey.SlackBuild b/system/coolkey/coolkey.SlackBuild
new file mode 100644
index 0000000000..69c6266054
--- /dev/null
+++ b/system/coolkey/coolkey.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for coolkey
+
+# Copyright 2009 Raymond Bailey <bailey@akamai.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=coolkey
+VERSION=${VERSION:-1.1.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Fixup some build errors on gcc43
+patch -p1 < $CWD/gcc-4.3.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-confdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/coolkey/coolkey.info b/system/coolkey/coolkey.info
new file mode 100644
index 0000000000..3e57fbd545
--- /dev/null
+++ b/system/coolkey/coolkey.info
@@ -0,0 +1,10 @@
+PRGNAM="coolkey"
+VERSION="1.1.0"
+HOMEPAGE="http://directory.fedoraproject.org/wiki/CoolKey"
+DOWNLOAD="http://directory.fedora.redhat.com/download/coolkey/coolkey-1.1.0.tar.gz"
+MD5SUM="815a1811a46bf9b8782107c073149cbe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andy Bailey"
+EMAIL="bailey@akamai.com"
+APPROVED="rworkman"
diff --git a/system/coolkey/gcc-4.3.patch b/system/coolkey/gcc-4.3.patch
new file mode 100644
index 0000000000..349c074a01
--- /dev/null
+++ b/system/coolkey/gcc-4.3.patch
@@ -0,0 +1,95 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01_coolkey_cpp.dpatch by <rousseau@imac.maison.bogus>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Closes: #455658 FTBFS with GCC 4.3: #define redefined
+
+@DPATCH@
+diff -urNad coolkey-1.1.0~/src/coolkey/coolkey.cpp coolkey-1.1.0/src/coolkey/coolkey.cpp
+--- coolkey-1.1.0~/src/coolkey/coolkey.cpp 2007-02-14 20:54:01.000000000 +0100
++++ coolkey-1.1.0/src/coolkey/coolkey.cpp 2008-01-06 14:12:35.000000000 +0100
+@@ -34,7 +34,9 @@
+ #include "cky_base.h"
+ #include "params.h"
+
++#ifndef NULL
+ #define NULL 0
++#endif
+
+ /* static module data -------------------------------- */
+
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 02_log_cpp.dpatch by <rousseau@imac.maison.bogus>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: fix for g++ 4.3
+
+@DPATCH@
+diff -urNad coolkey-1.1.0~/src/coolkey/log.cpp coolkey-1.1.0/src/coolkey/log.cpp
+--- coolkey-1.1.0~/src/coolkey/log.cpp 2007-02-14 20:54:01.000000000 +0100
++++ coolkey-1.1.0/src/coolkey/log.cpp 2008-01-06 14:18:11.000000000 +0100
+@@ -17,6 +17,8 @@
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+ * ***** END COPYRIGHT BLOCK *****/
+
++#include <stdlib.h>
++#include <string.h>
+ #include <string>
+ #include "mypkcs11.h"
+ #include <assert.h>
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 03_machdep_cpp.dpatch by <rousseau@imac.maison.bogus>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: fix for g++ 4.3
+
+@DPATCH@
+diff -urNad coolkey-1.1.0~/src/coolkey/machdep.cpp coolkey-1.1.0/src/coolkey/machdep.cpp
+--- coolkey-1.1.0~/src/coolkey/machdep.cpp 2007-02-14 01:46:28.000000000 +0100
++++ coolkey-1.1.0/src/coolkey/machdep.cpp 2008-01-06 14:19:04.000000000 +0100
+@@ -17,6 +17,8 @@
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+ * ***** END COPYRIGHT BLOCK *****/
+
++#include <stdlib.h>
++#include <string.h>
+ #include "machdep.h"
+ #include "mypkcs11.h"
+ #include "PKCS11Exception.h"
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 04_object_cpp.dpatch by <rousseau@imac.maison.bogus>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: fix for g++ 4.3
+
+@DPATCH@
+diff -urNad coolkey-1.1.0~/src/coolkey/object.cpp coolkey-1.1.0/src/coolkey/object.cpp
+--- coolkey-1.1.0~/src/coolkey/object.cpp 2007-02-09 19:53:21.000000000 +0100
++++ coolkey-1.1.0/src/coolkey/object.cpp 2008-01-06 14:22:42.000000000 +0100
+@@ -17,6 +17,7 @@
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+ * ***** END COPYRIGHT BLOCK *****/
+
++#include <string.h>
+ #include "mypkcs11.h"
+ #include "PKCS11Exception.h"
+ #include "object.h"
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 05_slot_cpp.dpatch by <rousseau@imac.maison.bogus>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: fix for g++ 4.3
+
+@DPATCH@
+diff -urNad coolkey-1.1.0.obsolete.0.590099710113467~/src/coolkey/slot.cpp coolkey-1.1.0.obsolete.0.590099710113467/src/coolkey/slot.cpp
+--- coolkey-1.1.0.obsolete.0.590099710113467~/src/coolkey/slot.cpp 2008-01-06 14:27:32.000000000 +0100
++++ coolkey-1.1.0.obsolete.0.590099710113467/src/coolkey/slot.cpp 2008-01-06 14:27:58.000000000 +0100
+@@ -33,7 +33,7 @@
+
+ #define MIN(x, y) ((x) < (y) ? (x) : (y))
+
+-using std::auto_ptr;
++//using std::auto_ptr;
+
+
+ #ifdef DEBUG
diff --git a/system/coolkey/slack-desc b/system/coolkey/slack-desc
new file mode 100644
index 0000000000..a9b7c011b4
--- /dev/null
+++ b/system/coolkey/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+coolkey: coolkey
+coolkey:
+coolkey: Linux Driver support for the CoolKey and CAC products.
+coolkey:
+coolkey:
+coolkey:
+coolkey:
+coolkey:
+coolkey:
+coolkey:
+coolkey: